package com.ebts.framework.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author 18209
 * @Date 2021/6/2 16:41
 * @Email clay@hchyun.com
 * @Version 1.0
 */
@Component
@ConfigurationProperties(prefix = "wechat")
public class WeChatConfig {

    private static String userAppid;

    private static String userSecret;

    private static String grant_type;

    public static String getUserAppid() {
        return userAppid;
    }

    public void setUserAppid(String userAppid) {
        WeChatConfig.userAppid = userAppid;
    }

    public static String getUserSecret() {
        return userSecret;
    }

    public void setUserSecret(String userSecret) {
        WeChatConfig.userSecret = userSecret;
    }

    public static String getGrant_type() {
        return grant_type;
    }

    public void setGrant_type(String grant_type) {
        WeChatConfig.grant_type = grant_type;
    }
}
